Bug 442993 - Update template.init to match recommended SysVInit guidelines
Summary: Update template.init to match recommended SysVInit guidelines
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-18 03:07 UTC by Jeremy Hinegardner
Modified: 2008-09-11 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 16:56:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Hinegardner 2008-04-18 03:07:56 UTC
Description of problem:

The init script template (template.init) does not match up with the recommended
format for SysVinitScripts.  The exit status do not match up.

Version-Release number of selected component (if applicable):

6.6

Comment 1 Ville Skyttä 2008-04-18 06:42:02 UTC
Exit status of reload when service is not running is now fixed in git:
https://fedorahosted.org/rpmdevtools/browser/template.init

For start and stop, daemon() and killproc() (respectively start and stop) should
already return with the correct statuses if the service is already
started/stopped; the wiki init script template appears to contain redundant
status checks for these actions.

See also bug 443010.

Comment 2 Bug Zapper 2008-05-14 09:36:52 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2008-08-03 10:10:07 UTC
rpmdevtools-6.7-1.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-08-07 23:51:16 UTC
rpmdevtools-6.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdevtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7021

Comment 5 Fedora Update System 2008-09-11 16:56:11 UTC
rpmdevtools-6.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.